curl --request GET \
--url https://management.api.smartcar.com/v3/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook",
"attributes": {
"name": "Charging Webhook",
"callbackUri": "https://example.com/webhook",
"isEnabled": true,
"triggers": [
{
"group": "SignalGroup",
"name": "SignalName",
"code": "signalCode"
}
],
"data": [
{
"group": "SignalGroup",
"name": "SignalName",
"code": "signalCode"
}
],
"errorCallbackUri": "https://example.com/webhook/errors",
"autoSubscribe": false
},
"links": {
"self": "https://management.api.smartcar.com/v3/webhooks/4b4ddadf-3219-4a2e-9ed0-c4d0f6d4f7ca"
},
"meta": {
"createdAt": "2023-11-07T05:31:56Z"
}
}
}curl --request GET \
--url https://management.api.smartcar.com/v3/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook",
"attributes": {
"name": "Charging Webhook",
"callbackUri": "https://example.com/webhook",
"isEnabled": true,
"triggers": [
{
"group": "SignalGroup",
"name": "SignalName",
"code": "signalCode"
}
],
"data": [
{
"group": "SignalGroup",
"name": "SignalName",
"code": "signalCode"
}
],
"errorCallbackUri": "https://example.com/webhook/errors",
"autoSubscribe": false
},
"links": {
"self": "https://management.api.smartcar.com/v3/webhooks/4b4ddadf-3219-4a2e-9ed0-c4d0f6d4f7ca"
},
"meta": {
"createdAt": "2023-11-07T05:31:56Z"
}
}
}The Authorization header must be provided with a valid bearer token.
Example: Authorization: Bearer {token}
The unique identifier of the webhook
The webhook resource
Show child attributes
Was this page helpful?